//#define _GLIBCXX_DEBUG
//#pragma GCC optimize("O3")
//#pragma GCC optimize("unroll-loops")
#include <bits/stdc++.h>
#define int long long
#define endl '\n'
#define fast ios_base::sync_with_stdio(false);cout.tie(nullptr);cin.tie(nullptr);
using namespace std;
int pref_sum[1000000];
void Bogdan(){
    string s;
    cin>>s;
    int n=s.size();
    s='d'+s;
    pref_sum[0]=0;
    for(int i=1;i<=n;i++){
        pref_sum[i]=pref_sum[i-1]+(s[i-1]>s[i]);
    }
    int q;
    cin>>q;
    int l,r;
    while(q--){
        cin>>l>>r;
        cout<<pref_sum[r]-pref_sum[l]+1<<endl;
    }
}
/*
*/
int32_t main(){
    fast;
    int t=1,n;
   // cin>>t;
    while(t--){
        Bogdan();
    }
}
